--require "basementpath"
require "Basement"


function real_install (srcdir, rootdir, update)
	-- verify whether src version is higher dest's
	local dstdir = string.format('%s\\%s', rootdir, component['name']);
    local m = ATM_VerifyVersion(component['category'], srcdir, dstdir);

	if (m == EQ and not TSA_ContinueConfirm("汾ͻ", string.format("updating with same version of product [%s], continue or not", component['name'])))
		or (m == HI and not TSA_ContinueConfirm("汾ͻ", string.format("updating with lower version of product [%s], continue or not", component['name'])))
	then
		return;
	end

	TSA_UpdateComponentFiles(component['category'], srcdir, dstdir, update);

	TSA_InstallComponetConfigToEP (component['name'], srcdir, string.format("%s\\ep", rootdir));

	TSA_InstallComponetPolicytoEp ("6e2209a3-63f5-4e8e-bf22-f5c1ab40e589_1.policy", dstdir, string.format("%s\\ep", rootdir))
end


function install (srcdir, rootdir)
	return real_install(srcdir, rootdir, false);
end


function update (srcdir, rootdir)
	return real_install(srcdir, rootdir, true);
end


function collectparam (srcdir, rootdir)
	-- do nothing
end


function uninstall (srcdir, rootdir)
	local dstdir = string.format('%s\\%s', rootdir, component['name']);

	-- Ϊͻ EP, ֹͣ ESMEP  EPTray
	TSA_StopService('esmep', string.format("%s\\ep\\esm.exe", rootdir));
	TSA_StopService('epsrv', string.format("%s\\ep\\epsrv.exe", rootdir));
	ATM_ExitProcessDuration(string.format("%s\\ep\\eptray.exe", rootdir), 60);
    donelastop = true;

    TSA_RemoveComponentFiles(dstdir);
    donelastop = true;

	TSA_UninstallComponetConfigUnderEP (component['name'], string.format("%s\\ep", rootdir))
	donelastop = true;

	TSA_UninstallComponetPolicyToEp ( "6e2209a3-63f5-4e8e-bf22-f5c1ab40e589_1.policy", string.format("%s\\ep", rootdir) )
	donelastop = true;
end


function run (srcdir, rootdir)
	-- do nothing
end


component = {name='rsm', category='rsm.xml', role = 'monitor'};
