--require "basementpath"
require "Basement"

function Process_SelfProtector (dstdir, svr, bits, updatefiles)
--[[
		װĿ¼
		32λϵͳ : װ ep\\hookesm.sys  ep\\hookesmlib.sys
		64λϵͳ : 1.װ ep\\hookesm.sys  ep\\hookesmlib.sys
				   2.װ ep\\64\\hookesm.sys  ep\\64\\hookesmlib.sys
--]]

    --32λϵͳ
	if bits ~= "64-bit" then
		--жϷǷڣ
		--winfunc.msgbox("note")
		if Service.IsExistedService("hookesm") then
			--жǷ£
			if #updatefiles > 0 then
				--ֹͣȻװ
				TSA_StopService   ("hookesm", string.format("%s\\hookesm.sys", dstdir));
				TSA_InstallService("hookesm", "rising hook esm driver", string.format("%s\\hookesm.sys", dstdir), true);
			else
 				--δ£
			end
		--װ
		else
			TSA_InstallService("hookesm", "rising hook esm driver", string.format("%s\\hookesm.sys", dstdir), true);
		end

		if svr == 0 then
			-- ޷ӲƷұ
			winfunc.UpdateINIFile(string.format("%s\\endpoint.ep", dstdir), "1", "df", "0");
			ATM_SaveTempData("File_SelfProtect_Open", "opened");
		else
			-- зӲƷرұ
			winfunc.UpdateINIFile(string.format("%s\\endpoint.ep", dstdir), "1", "df", "1");
			ATM_SaveTempData("File_SelfProtect_Open", "closed");
		end
    --64λϵͳ
	else
		--жǷ
		if Service.IsExistedService("hookesm") then
			if #updatefiles > 0 then
				--ֹͣȻװ
				TSA_StopService   ("hookesm", string.format("%s\\64\\hookesm.sys", dstdir));
				TSA_InstallService("hookesm", "rising hook esm driver(x64)", string.format("%s\\64\\hookesm.sys", dstdir), true);
			else
 				--δ£
			end
		-- װ
		else
			TSA_InstallService("hookesm", "rising hook esm driver(x64)", string.format("%s\\64\\hookesm.sys", dstdir), true);
		end

		-- ûұ
	end
end

function real_install (srcdir, rootdir, update)
	local dstdir = string.format('%s\\%s', rootdir, component['name'])

	-- ͣ
	for srvname, srvfile in pairs(component['svcname']) do
		TSA_StopService(srvname, string.format("%s\\%s", dstdir, srvfile));
	end
	ATM_ExitProcessDuration(string.format("%s\\eptray.exe", dstdir), 60);

	TSA_UpdateComponentFiles(component['category'], srcdir, dstdir, update, {"hookesm.sys", "hookesmlib.sys"});

	local guid = ATM_LoadTempData("EP_GUID");
	local link = ATM_LoadTempData("EP_LINK");
	TSA_UpdateConfiguration({guid, link}, string.format("%s\\AllConfigData.cfg", srcdir), string.format("%s\\AllConfigData.xml", dstdir), update);
	
	for srvname, srvfile in pairs(component['svcname']) do
		TSA_InstallService(srvname, component['svcdescrip'][srvname], string.format("%s\\%s", dstdir, srvfile), nil, component['srvstarttype'][srvname]);
	end

	--[[
	1. ĬϷʧܺ󣬵һΣڶԶȻͲԶ
	2. epsrv ҪеĶԶ
	--]]
	TrackOp(Service.SetServiceFailureAction("epsrv", 0xffffffff, nil, 0x00, 0, 0x00, 0, 0x00, 0),		-- SC_ACTION_NONE
				VerifyResult, string.format("set service failure actions[%s]", "epsrv"));

	-- install self-protection service if not 64-bits OS, set flag == 1 if there are any server components
	local svr  = tonumber(ATM_LoadTempData("ServerComponent") or 0);
	local bits = ATM_LoadTempData('BITs')
	Process_SelfProtector(dstdir, svr, bits, g_WatchedFileUpdate)

	if donelastop then
		local qlink = winfunc.WinQuickLink()
		local logtoollink = string.format("%s\\%s\\־.lnk", tostring(qlink.GetStartMenuPos()), tostring(component['startmenu']));
		local logtoolpath = string.format("%s\\coltool.exe", dstdir);
		TrackOp(qlink.CreateLink(logtoollink, logtoolpath, nil, "־", nil), VerifyResult,
				string.format("create link[%s: %s]", logtoollink, logtoolpath)
			   );
	end

	ATM_ModifyPathSecurity(dstdir, "GENERIC_ALL", "Users");

	ATM_CopyFile(string.format("%s\\rua\\Jccfg_rua.xml", rootdir), string.format("%s\\J_ClientCfg\\Jccfg_rua.xml", dstdir));
end



function install (srcdir, rootdir)
	real_install(srcdir, rootdir, false);

	local dstdir = string.format("%s\\%s", rootdir, component['name']);
	ATM_CopyFile(string.format("%s\\rsdbcfg_local.cfg", dstdir), string.format("%s\\rsdbcfg_local.xml", dstdir));
end


function update (srcdir, rootdir)
	--[[ just for clean up autorun installed by previous versions ]]--
--	TSA_UninstallRunOnce('EPTray');
	return real_install(srcdir, rootdir, true);
end


function collectparam (srcdir, rootdir)
	-- collect guid if not generated yet
	local guid = ATM_LoadTempData("EP_GUID");
	if not (guid ~= nil and guid['attributes']['LocalGuid'] ~= "") then
        ATM_SaveTempData("EP_GUID", {path		 = 'UTM/PUBLIC/GUID',
								  attributes = {LocalGuid = winfunc.GenerateRSGUID()}
								 }
						)
	end
	local collected = {};

	-- only designed for EP user-defined install package
	local argsfile = string.format("%s\\ep\\temp_vlink_connection_info.lua", tostring(rootdir));
	if FileSys.PathFileExists(argsfile) then
		local f = io.open(argsfile, "r");
		if not TrackOp(f ~= nil, VerifyResult, string.format("load configuration from config file[%s]", argsfile)) then
			donelastop = false;
			return;
		end

		local s = tostring(f:read("*a"));
		if not TrackOp(	pcall(function () collected = loadstring(string.format("%s\nreturn VLINKConnectionInfo", s))() end),
					    VerifyResult, string.format("load configuration from config file[%s: length=%d]", argsfile, string.len(s))
					   )
		then
			collected = {};
		end
		f:close();
	else
		-- collect link info if not collected yet
		local link = ATM_LoadTempDataFromSourceList("EP_LINK");

		if link == nil 									then link = {} end
		if link['attributes'] == nil 					then link['attributes'] = {} end
		if tonumber(link['attributes']['Port']) == nil 	then link['attributes']['Port'] = "5555" end

		collected = TSA_OpenLinkCollect("ΪͻдҪӵҵĵĵַ", link, 'EP_LINK', "ҵ", 0x02, 5554);		-- find BUS
		if doneabort then return end
	end

	ATM_SaveTempData("EP_LINK", {path 		 = 'UTM/RsBaseComm/VirtualLink/Item',
								 text 		 = collected['IP'],
								 attributes  = {Port = collected['Port'], type = 4, PeerNodeType = 2, PeerExtendType = 0}
								}
					);
end


function uninstall (srcdir, rootdir)
	local dstdir = string.format('%s\\%s', rootdir, component['name']);

	TSA_UninstallService("hookesm", string.format("%s\\hookesm.sys", dstdir));		-- uninstall driver
	donelastop = true;

	for srvname, srvfile in pairs(component['svcname']) do
		TSA_UninstallService(srvname, string.format("%s\\%s", dstdir, srvfile));
		donelastop = true;
	end

	-- ʱֹͣeptrayԱļ
	ATM_ExitProcessDuration(string.format("%s\\eptray.exe", dstdir), 60);
	donelastop = true;

	TSA_RemoveAppFromFireWall(string.format("%s\\esm.exe", dstdir));
	donelastop = true;
	TSA_RemoveAppFromFireWall(string.format("%s\\eptray.exe", dstdir));
	donelastop = true;

    TSA_RemoveComponentFiles(dstdir);
    donelastop = true;
--    TSA_UninstallRunOnce('EPTray');
--    donelastop = true;      -- make sure that uninstall always be successed

	for i, k in pairs({	'EP_GUID', 'EP_LINK'}) do
		ATM_DelTempData(k)
	end
end


function run (srcdir, rootdir)
	TSA_StartService('hookesm')
	donelastop = true;
	
	for srvname, srvfile in pairs(component['svcname']) do
		TSA_StartService(srvname);
	end
end


component = {name		= 'ep',
			 category	= 'ep.xml',
			 svcname 	= {esmep = 'esm.exe', epsrv = 'epsrv.exe'},
			 svcdescrip = {esmep = 'Rising ESM Endpoint Service', epsrv = 'Rising ESM Endpoint Generic Service Shell'},
			 srvstarttype = { epsrv = 0x00000003 }, -- SERVICE_DEMAND_START
			 role		= 'terminator',
			 startmenu  = 'ҵն˰ȫϵͳ',
			};
